unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, StdCtrls, TeEngine, ExtCtrls, TeeProcs, Chart, TeeComma;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Chart1: TChart;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

var Series1: TBarSeries;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Series1:=Chart1.AddSeries(TBarSeries) as TBarSeries;
  with Series1 do
  begin
    Add(0);
    Add(1);
    Add(100);
    Add(1000);
    Add(10000);
    Add(100000);
    Add(1234.1);
    Add(1234.12);
    Add(0);
  end;

  Edit1.Text:=',##0.0#';
  Edit2.Text:='.';
  Edit3.Text:=',';
end;

procedure TForm1.Button1Click(Sender: TObject);
var i: Integer;
begin
  Memo1.Clear;

  ThousandSeparator:=Edit2.Text[1];
  DecimalSeparator:=Edit3.Text[1];

  for i:=0 to Series1.Count-1 do
    Memo1.Lines.Add(FormatFloat(Edit1.Text, Series1.YValue[i]));

  Series1.ValueFormat:=Edit1.Text;
  Chart1.Axes.Left.AxisValuesFormat:=Edit1.Text;
  Chart1.Axes.Bottom.AxisValuesFormat:=Edit1.Text;

  Chart1.Repaint;
end;

end.
